Bug 50792 - Madge Network Card Driver Not loading
Madge Network Card Driver Not loading
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-03 06:03 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 12:30:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-03 06:03:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I have installed redhat 7.1 and am able to install the onboard Ethernet 
driver, however, I have rebuilt the kernel to include the Abyss driver as 
a module (Madge smart 16/4 Ringnode MK2) and it won't load, I also 
compiled it as a part of the kernel which should automatically load the 
driver without KMOD however, it fails to load on startup and also fails to 
load if you use "ifconfig tr0 up", I have manually added the network-
scripts (ifcfg-tr0) and the alias automatically gets added to modules.conf 
so I didn't need to change that.  I know I have entered the correct 
details as I have had no problems using Madges own driver on an earlier 
kernel version (2.2.18).  I'm stuck now.  Any advice?  Has this ported 
driver been tested?

How reproducible:
Always

Steps to Reproduce:
1.Recompile kernel to include Token Ring drivers also include the abyss 
driver (Madge smart 16/4 Ringnode MK2).
2.Write the Network-script (ifcfg-tr0) to include either DHCP or assign an 
IP address.
3.reboot
	

Actual Results:  You should notice during the loading sequence that the 
tr0 initialisation is delayed.  When you go into the system and try and 
view details about the card ifconfig doesn't even display a hardware 
address.

Expected Results:  The driver should initialise during startup or if you 
use "ifconfig tr0 up".

Additional info:

I know that Madge haven't released a version of the driver for the new 
kernel (I have been speaking to them about it), even though kernel 2.4 has 
been available for testing since before christmas last year!!!  I was 
surprised when I saw that the card I use was supported on the new kernel.
Comment 1 Elliot Lee 2001-08-07 13:49:25 EDT
I don't think we support token ring, but in any case this is a kernel bug, not dhcp.
Comment 2 Arjan van de Ven 2001-08-07 15:22:35 EDT
Is this the 2.4.2-2 kernel as installed by RHL7.1 or the updated 2.4.3-12 kernel
?
Comment 3 Alan Cox 2003-06-06 12:30:49 EDT
Closing old dead bug

Note You need to log in before you can comment on or make changes to this bug.